export interface CommandTarget {
    os: string;
    language: string;
}
export interface Command {
    name: string;
    platform: string[];
    language: string[];
    target: CommandTarget[];
}
export declare class Tldr {
    #private;
    constructor(cacheDir: string, lang?: string);
    updateLang(lang: string): void;
    commands(): string[];
    command(name: string): Command | undefined;
    man(cmd: string): string;
    updateCache(always?: boolean): Promise<void>;
    get hasLock(): boolean;
}
